#ifndef PATIENT_H
#define PATIENT_H

#include <iostream>
using namespace std;

class Patient{
private:
	char* name;
	char* address;
	
public:
	Patient();
	Patient(char*, char*);
	Patient(const Patient &);
	~Patient();
	void setName(char*);
	void setAddress(char*);
	char* getName();
	char* getAddress();
	Patient& operator=(Patient &p);
	bool operator==(Patient &p);
	bool operator>(Patient &p);
	char* toString();
};

#endif