/*
 * UI.h
 *
 *  Created on: May 13, 2019
 *      Author: laura
 */

#ifndef UI_H_
#define UI_H_

#include "Doctor.h"

class UI{
private:
	Doctor* dr;

public:
	UI(Doctor &d){
		this->dr = new Doctor(d);
	}

	UI(Doctor *d){
		this->dr = d;
	}
	~UI(){

	}
	UI(UI &ui){
		this->dr = ui.dr;
	}
	UI& operator=(UI &ui){
		this->dr = ui.dr;
		return *this;
	}

	void printAll(){
		cout << this->dr.getAll();
	}
	void showMenu(){
		cout << "   1. Print all" << endl;
		cout << "   2. Add patient...." << endl;
	}
	void run(){
		this->showMenu();
		int opt = 1;
		while(opt != 0){
			cout <<" select 0/1/2/3/4...";
			cin >> opt;
			if (opt == 1){
				this->printAll();
			}
			if (opt == 2){
				cout << " add a new patient...";
				//...
			}
			if (opt == 0){
				cout << " bye bye...";
			}
		}
	}
}






#endif /* UI_H_ */
