#include "Doctor.h"

class View{
private:
	Doctor dr;
public:
	View(Doctor &d){
		this->dr = d;
	}
	~View(){}
	View(View &v){
		this->dr = v.dr;
	}
	View& operator=(View &v){
		this->dr = v.dr;
	}
	void showMenu(){
		cout << endl << "Choose an action: " << endl;
		cout << "	1. add a new patient" << endl;
		cout << "	2. print all the patients " << endl;
		cout << "	3. sort by name all the patients" << endl;
		cout << "	4. close the application" << endl;
		cout << " opt = ";
	}
	void addPatient(){
		char* name = new char[100];
		char* address = new char[100];
		cout << "patient name = ";
		cin >> name;
		cout << "patient address = ";
		cin >> address;
		try{
			dr.addNewPatient(name, address);
		}
		catch (MyException ex){
			cout << ex.getMsg() << endl;
		}

		if (name != NULL){
			delete[] name;
			name = NULL;
		}
		if (address != NULL){
			delete[] address;
			address = NULL;
		}
	}
	void printAllThePatients(){
		cout << "Doctor " << dr.getName() << " has the following patients: ";
		cout << dr.getAllPatients();
	}
	void run(){
		showMenu();
		int opt;
		cin >> opt;
		while (opt != 4){
			switch (opt){
			case 1:
				addPatient();
				break;
			case 2:
				printAllThePatients();
				break;
			case 3:
				cout << "TBA...";
				break;
			default:
				cout << "type 1/2/3/4!! " << endl;
			}
			showMenu();
			cin >> opt;
		}
	}
};
